/* -*- mode: C; c-file-style: "gnu"; indent-tabs-mode: nil; -*- */

/* Tiny language for matching against windows
 *
 * Expression Syntax:
 *
 *  (and <expr> <expr>)
 *  (or <expr> <expr>)
 *  (not <expr>)
 *  (eq [name|class] "<value>")
 *  (glob [name|class] "<glob>")
 *
 * A "matcher list" is a whitespace-separated list of expressions that are
 * implicitly or'ed together. Globs are shell style patterns with
 * matching 0 or more characters and ? matching one character.
 */

/*
 * Copyright (C) 2009 Red Hat, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef META_WINDOW_MATCHER_H
#define META_WINDOW_MATCHER_H

GSList * meta_window_matcher_list_from_string (const char         *str,
					       GError            **error);
void     meta_window_matcher_list_free        (GSList             *list);
gboolean meta_window_matcher_list_matches     (GSList             *list,
					       const char         *window_name,
					       const char         *window_class);
#endif /* META_WINDOW_MATCHER_H */
